> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unstructured.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete destination connector

> Delete a specific destination connector by its ID.

## Path parameters

<ParamField path="destination_id" type="string" required>
  The unique identifier of the destination connector.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request DELETE \
    --url "${UNSTRUCTURED_API_URL}/api/v1/destinations/d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
    --header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
  ```

  ```python Python SDK theme={null}
  import os
  from unstructured_client import UnstructuredClient
  from unstructured_client.models.operations import DeleteDestinationRequest

  client = UnstructuredClient(
      api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
      server_url=os.getenv("UNSTRUCTURED_API_URL"),
  )

  response = client.destinations.delete_destination(
      request=DeleteDestinationRequest(
          destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
      )
  )
  print(response)
  ```

  ```python Python SDK (async) theme={null}
  import asyncio
  import os
  from unstructured_client import UnstructuredClient
  from unstructured_client.models.operations import DeleteDestinationRequest

  async def delete_destination():
      client = UnstructuredClient(
          api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
          server_url=os.getenv("UNSTRUCTURED_API_URL"),
      )
      response = await client.destinations.delete_destination_async(
          request=DeleteDestinationRequest(
              destination_id="d1a2b3c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c"
          )
      )
      print(response)

  asyncio.run(delete_destination())
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {}
  ```
</ResponseExample>
